
Figure - Bug #117222
【BSP】【DVT】【ST】【Boot】0085后版本，qfile烧机时，不会清除用户数据
2023-03-28 18:36 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-10

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0094_20230425

Need_Info: -- Found Version: 0085

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 修改开机阶段断电的问题，为了不清除以前的key就没有重新用户数据。��现在改为从工厂版本刷到user版本后恢复出厂设置

Description

前置条件

设备之前已经开机一次

操作步骤：

1.使用Qile烧写0085以及之后的版本，不勾选全擦数据

2.烧机之后设备启动，查看设备数据

预期结果：

2.用户基本数据应该被擦除

实际结果：

2.用户数据没有被删除，tlog日志、桌面设置等均未被删除

开机引导、激活等功能界面不再显示

Subtasks:

Bug # 117375: 【AF】【EVT3】【ST】【Laucher】【偶现】烧写userdebug之后，再次烧写use... CLOSED

History

#1 - 2023-03-29 00:20 - CD TPM-王祥林

目前有两个思路：

1.在工厂版本里写个属性做为标记。在QFIL刷完user版本后，如果发现刷过工厂版本就在开机的时候恢复出厂设置，然后将标记清除。

2.代码里判断是否为QFIL刷的软件，如果是就在开机的时候恢复出厂设置。

#2 - 2023-04-06 10:47 - CD TPM-王祥林

- Target version set to VC1_FSE_0090_20230411

#3 - 2023-04-10 17:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

192537 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com
AF:BOOT:Can't erase user data after QFIL.Do factory reset if boot from ftm mode.TC-RID: 1201-0100804IssueID: TS-R-BUG-117222Change-Id:

I32c80ac4c8368baa612a465f7db2938fd7b7610c

#4 - 2023-04-10 17:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

192323 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:BOOT:Can't erase user data after QFIL.Do factory reset if boot from ftm mode.TC-RID: 1201-0100804IssueID: TS-R-BUG-117222Change-Id:

I211710faa786cb8843395dfd83e7792c4258b118

#5 - 2023-04-10 20:06 - CD TPM-王祥林

- Status changed from New to NEED_INFO

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

刘强

目前做到了从工厂版本到开发分支的版本用QFIL刷机会恢复出厂。先用下面的DB验证一下。

工厂版本：

/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-ftm_v0081/20230408/202304080941-319

开发分支：

用明天的release版本。0090

#6 - 2023-04-11 16:17 - 移动测试一组_CDTS 刘强

- File tlog_sts000101110_000002_0411051224.tar.gz added

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

1. 全擦烧写工厂版本

2. 填充数据，音乐图片apk

3. 不插数据烧写90版本

开机后数据还是在的

#7 - 2023-04-12 15:13 - CD TPM-王祥林

- Status changed from NEED_INFO to ASSIGNED

#8 - 2023-04-12 15:43 - CD TPM-王祥林

分析：刷了user版本后，发现工厂版本的标志位被清空了，但并未执行恢复出厂设置的操作，怀疑刷机的时候就把标志位清掉了，导致开机的时候判断未

非工厂版本，所以不进行恢复出厂设置。

当前进展：

原来的修改未生效，验证失败。

下一步计划：
已添加日志，正在编译VB，然后重新刷机定位原因。

#9 - 2023-04-12 15:43 - CD TPM-王祥林

- Target version changed from VC1_FSE_0090_20230411 to VC1_FSE_0094_20230425

#10 - 2023-04-13 11:38 - CD TPM-王祥林

当前进展：

从工厂版本到VB，验证OK。数据会被清楚。但从工厂版本到DB，release版本验证失败，数据不会清除。

下一步计划：

调查VB和DB/Release版本的区别。

#11 - 2023-04-16 11:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193973 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0090

wangxl0510@thundersoft.com

AF:BOOT:Can't erase user data after QFIL.Do factory reset if boot from ftm mode.TC-RID: 1201-0100804IssueID: TS-R-BUG-117222Change-Id:

I32c80ac4c8368baa612a465f7db2938fd7b7610c(cherry picked from commit 8b59265c24892f2a5f55f9c31acebe884e402115)

#12 - 2023-04-16 15:26 - CD TPM-王祥林

找到新的解决方案，正在编译VB

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/194087

https://dev.thundercomm.com/gerrit/c/general/device/qcom/qssi/+/193974

#13 - 2023-04-17 12:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194087 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com

AF:BOOT:Can't erase user data after QFIL.Set persist.sys.ftm_mode ot true in ftm mode.TC-RID: 1201-0100804IssueID: TS-R-BUG-117222Change-Id:

I418ae828775973aee1b4d4cb46da44368f4a2d38

#14 - 2023-04-17 12:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193974 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0081

wangxl0510@thundersoft.com
Revert AF:BOOT:Can't erase user data after QFIL.This reverts commit 8b59265c24892f2a5f55f9c31acebe884e402115.TC-RID: 1201-0100804IssueID:

TS-R-BUG-117222Change-Id: I3968437609ff62df810aac757085538de99aea3f

#15 - 2023-04-17 12:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194152 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0090

wangxl0510@thundersoft.com

AF:BOOT:Can't erase user data after QFIL.Set persist.sys.ftm_mode ot true in ftm mode.TC-RID: 1201-0100804IssueID: TS-R-BUG-117222Change-Id:

I418ae828775973aee1b4d4cb46da44368f4a2d38(cherry picked from commit 8a8336359ddcb68ffdb15a36e30c6a994d2b4f98)

#16 - 2023-04-17 12:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194153 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0090

wangxl0510@thundersoft.com

Revert AF:BOOT:Can't erase user data after QFIL.This reverts commit 8b59265c24892f2a5f55f9c31acebe884e402115.TC-RID: 1201-0100804IssueID:

TS-R-BUG-117222Change-Id: I3968437609ff62df810aac757085538de99aea3f(cherry picked from commit 9721893fc6fdd0d1af5ea2dfce5e7f185638c94e)

#17 - 2023-04-17 15:49 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

刘强

刷这个工厂版本，再刷0090我本地验证OK了。你再试试。

/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-ftm_v0081/20230416/202304161526-373

#18 - 2023-04-17 17:20 - 移动测试一组_CDTS 刘强

刷这个工厂版本，再刷0090我本地验证OK了。你再试试。

/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-ftm_v0081/20230416/202304161526-373

验证通过
1. 烧写工厂版本

2. 不擦数据烧写0090

3. 开机后，在出现开机动画后，设备再次自动重启，重启后数据擦除

4. 再次不擦数据烧写0086，设备正常启动，不擦除数据

#19 - 2023-04-17 19:35 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Root cause set to 修改开机阶段断电的问题，为了不清除以前的key就没有重新用户数据。

现在改为从工厂版本刷到user版本后恢复出厂设置

#20 - 2023-04-18 17:10 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

20230418：最新工厂版本烧机后无法启动，反复重启后进入900E，等确认新版本ok后再关闭issue

#21 - 2023-04-18 17:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194504 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0090

wangxl0510@thundersoft.com

Revert AF:BOOT:Can't erase user data after QFIL.This reverts commit 22ed0357ba8ed48b70bbe2e36c5d283031c93d8a.TC-RID: 1201-0100804IssueID:

TS-R-BUG-117222Change-Id: I59c965d1a06475f90a6bac61c8aeace6a78ee4d7

#22 - 2023-04-19 00:23 - CD TPM-王祥林

重新编译基于0090的ftm版本

http://192.168.87.26:8080/job/VerifyBuild_for_IOT_6490/418/

#23 - 2023-04-19 00:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194584 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0090

wangxl0510@thundersoft.com

AF:BOOT:Can't erase user data after QFIL.Set persist.sys.ftm_mode to true in ftm branch.TC-RID: 1201-0100804IssueID: TS-R-BUG-117222Change-Id:

I124ce536896d7ccb4795f157af00182b15126b78
#24 - 2023-04-19 19:51 - CD TPM-王祥林

工厂版本编译中

http://192.168.87.26:8080/job/VerifyBuild_for_IOT_6490/445/

#25 - 2023-04-23 17:30 - CD TPM-王祥林

- Status changed from VERIFY_FAILED to RESOLVED

#26 - 2023-04-23 17:30 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

#27 - 2023-04-25 14:23 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证结果：验证通过

验证版本：0094

1. 烧写工厂版本

2. 不擦数据烧写0094

3. 开机后，在出现开机动画后，设备再次自动重启，重启后数据擦除

4. 再次不擦数据烧写0090，设备正常启动，不擦除数据

#28 - 2023-04-25 14:23 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#29 - 2023-05-03 16:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197289 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0095

wangxl0510@thundersoft.com

AF:BOOT:Can't erase user data after QFIL.Set persist.sys.ftm_mode ot true in ftm mode.TC-RID: 1201-0100804IssueID: TS-R-BUG-117222Change-Id:

I418ae828775973aee1b4d4cb46da44368f4a2d38(cherry picked from commit 8a8336359ddcb68ffdb15a36e30c6a994d2b4f98)(cherry picked from commit

71f25d54f11ed6b595814d291c4049b833f68841)

#30 - 2023-05-03 16:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197290 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-ftm_v0095

wangxl0510@thundersoft.com
Revert AF:BOOT:Can't erase user data after QFIL.This reverts commit 22ed0357ba8ed48b70bbe2e36c5d283031c93d8a.TC-RID: 1201-0100804IssueID:

TS-R-BUG-117222Change-Id: I59c965d1a06475f90a6bac61c8aeace6a78ee4d7(cherry picked from commit 15810a46ead860fe48509573c5fe1b84768e9103)

Files

tlog_sts000101110_000002_0411051224.tar.gz 4.02 MB 2023-04-11 移动测试一组_CDTS 刘强
